SQLITE3_RELEASE_MEMORY(3)

NAME
sqlite3_release_memory - attempt to free heap memory

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_release_memory(int);

DESCRIPTION
The sqlite3_release_memory() interface attempts to free N bytes of heap memory by deallocating non-essential memory allocations held by the database library. Memory used to cache database pages to improve performance is an example of non-essential memory. sqlite3_release_memory() returns the number of bytes actually freed, which might be more or less than the amount requested. The sqlite3_release_memory() routine is a no-op returning zero if SQLite is not compiled with SQLITE_ENABLE_MEMORY_MANAGEMENT.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 6937.

    SQLITE_API int sqlite3_release_memory(int);

SEE ALSO
sqlite3_db_release_memory(3)